## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/letsencrypt/pebble
%global goipath         github.com/letsencrypt/pebble
Version:                2.6.0

%gometa -L -f

%global goaltipaths     github.com/letsencrypt/pebble/v2

%global common_description %{expand:
A miniature version of Boulder, Pebble is a small RFC 8555 ACME test server not
suited for a production certificate authority.}

%global golicenses      LICENSE
%global godocs          docs CODE_OF_CONDUCT.md README.md cmd/pebble-challtestsrv/challtestsrv-README.md

Name:           golang-github-letsencrypt-pebble
Release:        %autorelease
Summary:        Pebble is a miniature version of Boulder, a small RFC 8555 ACME test server

License:        MPL-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1
mv cmd/pebble-challtestsrv/README.md challtestsrv-README.md

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in cmd/p* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 docs/man1/pebble* -t %{buildroot}%{_mandir}/man1/
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc CODE_OF_CONDUCT.md README.md challtestsrv-README.md
%{_bindir}/pebble
%{_bindir}/pebble-challtestsrv
%{_mandir}/man1/pebble.1*
%{_mandir}/man1/pebble-challtestsrv.1*
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.6.0-1
- Update to 2.6.0 - Closes rhbz#2268889

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 13 2024 Miroslav Suchý <msuchy@redhat.com> - 2.3.1-13
- convert license to SPDX

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 2.3.1-12
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.3.1-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.1-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-3
- Remove duplicate install command

* Thu Dec 09 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-2
- Add man pages from upstream commit, fix double README.MD

* Mon Nov 22 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-1
- Initial package

## END: Generated by rpmautospec
